<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/images/favicon.ico">

    <title>Roles</title>

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <!-- Custom styles for this template -->
    <link href="/stylesheets/users.css" rel="stylesheet">
</head>

<body>

    <div class="site admins has-submenu settings-section">
        <header class="header navbar-fixed-top" style="box-shadow: rgb(239, 235, 239) 0px 2px 10px 1px;">

            <nav class="navbar navbar-default main-nav ">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-xs-11 col-sm-1 col-md-1 col-lg-1 nav-logo">
                            <div class="navbar-header">
                                <a class="navbar-brand avaamo-logo" href="/#">
                                    <img src="/liveagent/public/images/logo-avaamo.svg" alt="logo"></a>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-8 col-lg-8 nav-links">
                            <div class="collapse navbar-collapse">
                                <ul class="nav navbar-nav main-header-nav">
                                    <li>
                                        <a class="headerItems" href="#/agents?q=">Agents</a>
                                    </li>
                                    <li>
                                        <a class="headerItems" href="#/skills">Skill store</a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </nav>
            <div class="collapse in" style="display: block;">
                <header class="navbar navbar-default navbar-static-top avm-subnav-bar avm-subnav-bar-sidebar">
                    <ul class="nav navbar-nav m-left-sm">
                        <li>
                            <a href="#/admin">Users and Roles</a>
                        </li>
                        <li>
                            <a href="#/privacy">Privacy</a>
                        </li>
                        <li>
                            <a href="#/identity providers">Identity providers</a>
                        </li>
                        <li>
                            <a href="#/security policy">Security policy</a>
                        </li>
                    </ul>
                </header>
            </div>
        </header>

        <div class="row" style="margin-top: 80px;margin-left: 5px;">
            <div class="container">
                <div class="col-xs-9 col-sm-10 col-md-10" style="width: 80%; float: left;">
                    <div class="page-header">
                        <h2> Account Roles </h2>
                        <p>
                            View and manage all the roles to the Premium Dashboard.
                            <br>
                            You can also define roles for each user.
                        </p>
                    </div>
                </div>
                <div class="col-xs-3 col-sm-2 col-md-2" style="width: 20%; float: left;">
                    <h4>Total</h4>
                    <h1>57<h1>
                </div>
            </div>
        </div>

        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="manager">
                        <div class="tab-content">
                            <div class="bot-list">
                                <div class="row">
                                    <div class="col-xs-12 col-sm-6 col-md-6">
                                        <!-- <div class="filter-select"> -->
                                            <!-- <div class="form-control pull-left avm-dd-select dropdown"> -->
                                            <!-- <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false" aria-haspopup="true"> Active</a>
                                               <ul class="dropdown-menu" avm-on-infinite-scroll="onPaginate" page-data="pageData" no-scroll="!scrollPaginate">
                                                   <li>

                                                   </li>
                                                   <li>

                                                   </li>
                                               </ul>  -->
                                            <!-- <select v-model="selectedValue">
                                                <option value="Active">Active</option>
                                                <option value="Archived">Archived</option>
                                            </select> -->
                                            <!-- </div> -->
                                        <!-- </div> -->
                                    </div>
                                </div>
                                <div class="row">
                                    <div class=" col-md-12">
                                        <div class="table-responsive">
                                            <table class="table text-left table-primary table-botlist listing-table">
                                                <thead>
                                                    <tr role="row">
                                                        <th class="filter">NAME</th>
                                                        <th width="250">EMAIL</th>
                                                        <th class="filter" width="300">ROLES</th>
                                                        <th width="150" class="text-right">ACTIONS</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="auto-width">
                                                            <div class="image">
                                                                <div class="avatar default">
                                                                    <span>Ab</span>
                                                                </div>
                                                            </div>
                                                            <div class="text">
                                                                <h5>Abhi</h5>
                                                                <p class="normal-font">Logged In: <span
                                                                        time-string="admin.last_sign_in_at"
                                                                        format="'dd MMM yyyy hh:mm a'">12 Sep 2020 01:29
                                                                        AM</span></p>
                                                            </div>
                                                        </td>
                                                        <td>abhi@avaamo.com</td>
                                                        <td>
                                                            <div class="max-200">
                                                                Development, Testing, Staging, Production, Live agent,
                                                                Settings, API access
                                                            </div>
                                                        </td>
                                                        <td class="text-right">edit</td>
                                                    </tr>
                                                </tbody>
                                                <!-- <tbody id="v-for-object">
                                                    <tr v-for="user in userlist">
                                                        <td>
                                                            <div class="image">
                                                                <div class="avatar default">
                                                                    <span>{{ user.initials }}</span>
                                                                </div>
                                                            </div>
                                                            <div class="text">
                                                                <h5>{{ user.name }}</h5>
                                                                <p>Logged In:
                                                                    <span>
                                                                        {{ user.loggedIn }}
                                                                    </span>
                                                                </p>
                                                            </div>
                                                        </td>
                                                        <td>{{ user.email }}</td>
                                                        <td>
                                                            <div class="max-200">
                                                                {{ user.role }}
                                                            </div>
                                                        </td>
                                                        <td class="text-right">edit</td>
                                                    </tr>
                                                </tbody> -->
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- <div class="container">
            <div class="row">
                <div class="manager">
                    <div class="tab-content">
                        <div class="bot-list">
                            <div class="row">
                                <div class="col1 col-sm-6" style="width: 50%;">
                                    <div id="app">
                                        <select v-model="selectedValue">
                                            <option value="Active">Active</option>
                                            <option value="Archived">Archived</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col2 col-sm-6" style="width: 50%;">
                                    <button class="btn btn-primary" style="float: right;">Add New</button>
                                </div>
                            </div>
                            <div class="row">
                                <table class="table-primary listing-table table-botlist" style="width: 100%;">
                                    <thead>
                                        <tr role="">
                                            <th class="filter">NAME</th>
                                            <th width="250">EMAIL</th>
                                            <th class="filter" width="300">ROLES</th>
                                            <th width="150" class="text-right">ACTIONS</th>
                                        </tr>
                                    </thead>
                                    <tbody id="v-for-object">
                                        <tr v-for="user in userlist">
                                            <td>
                                                <div class="image">
                                                    <div class="avatar default">
                                                        <span>{{ user.initials }}</span>
                                                    </div>
                                                </div>
                                                <div class="text">
                                                    <h5>{{ user.name }}</h5>
                                                    <p>Logged In:
                                                        <span>
                                                            {{ user.loggedIn }}
                                                        </span>
                                                    </p>
                                                </div>
                                            </td>
                                            <td>{{ user.email }}</td>
                                            <td>
                                                <div class="max-200">
                                                    {{ user.role }}
                                                </div>
                                            </td>
                                            <td class="text-right">edit</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->



    </div>
</body>
<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script>
    new Vue({
        el: '#v-for-object',
        data: {
            //TODO: dummy data
            userlist: [
                {
                    name: "Deepima",
                    email: "deepima@avaamo.com",
                    loggedIn: '12 Sep 2020 01:29 AM',
                    role: 'xyz',
                    initials: 'DE'
                },
                {
                    name: "Deepima",
                    email: "deepima@avaamo.com",
                    loggedIn: '12 Sep 2020 01:29 AM',
                    role: 'xyz',
                    initials: 'DE'
                }
            ]
        }
    });
</script>

</html>